unit FMXTee.Editor.Series.WaterFall;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMXTee.Editor.Series.Surface,
  FMX.Edit, FMX.TabControl, FMXTee.Procs;

type
  TWaterFallSeriesEditor = class(TSurfaceSeriesEditor)
    BLines: TButton;
    procedure BPenClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WaterFallSeriesEditor: TWaterFallSeriesEditor;

implementation

{$R *.fmx}

uses
  FMXTee.Editor.Stroke;

procedure TWaterFallSeriesEditor.BPenClick(Sender: TObject);
begin
  if Assigned(Surface) then
    TStrokeEditor.Edit(Self, Surface.WaterLines);
end;

initialization
  RegisterSeriesEditor(TWaterFallSeriesEditor);
end.
